curl https://router.requesty.ai/v1/models/all \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY"
import httpx
response = httpx.get(
"https://router.requesty.ai/v1/models/all",
headers={"Authorization": "Bearer YOUR_REQUESTY_API_KEY"},
)
for model in response.json()["data"]:
print(model["id"])
const response = await fetch("https://router.requesty.ai/v1/models/all", {
headers: { Authorization: `Bearer ${process.env.REQUESTY_API_KEY}` },
});
const { data } = await response.json();
for (const model of data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"api": "chat",
"id": "vertex/claude-sonnet-4-5",
"object": "model",
"created": 1747933971,
"updated": 1747933971,
"owned_by": "system",
"input_price": 3e-06,
"caching_price": 3.75e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05,
"pricing": [
{
"prompt_tokens_threshold": 0,
"input_price": 3e-06,
"caching_price": 3.75e-06,
"caching_5m_price": 3.75e-06,
"caching_1h_price": 6e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05
},
{
"prompt_tokens_threshold": 200000,
"input_price": 6e-06,
"caching_price": 7.5e-06,
"caching_5m_price": 7.5e-06,
"caching_1h_price": 1.2e-05,
"cached_price": 6e-07,
"output_price": 2.25e-05
}
],
"max_output_tokens": 64000,
"context_window": 200000,
"supports_caching": true,
"supports_vision": true,
"supports_computer_use": true,
"supports_reasoning": true,
"supports_image_generation": false,
"supports_tool_calling": true,
"supports_role_developer": false,
"supports_web_search": true,
"supports_output_json_object": true,
"supports_output_json_schema": true,
"description": "The first hybrid reasoning model on the market with the highest level of intelligence and capability with toggleable extended thinking. Top-tier results in reasoning, coding, multilingual tasks, long-context handling, honesty, and image processing.",
"data_retention": false,
"data_retention_days": 0,
"data_used_for_training": false,
"privacy_comments": "N/A",
"geolocation": "global",
"open_weights": false,
"model_lab": "vertex",
"model_canonical_name": "tbd"
},
{
"api": "embedding",
"id": "vertex/google/gemini-embedding-2-preview",
"object": "model",
"created": 1774621394,
"updated": 1774621394,
"owned_by": "system",
"pricing": {
"input_text": 2e-07,
"input_audio": 6.4e-06,
"input_image": 4.651162791e-07,
"input_video": 1.19696969697e-05,
"input_document": 4.651162791e-07
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "image",
"id": "openai/gpt-image-2",
"object": "model",
"created": 1776868154,
"updated": 1776868154,
"owned_by": "system",
"pricing": {
"input_text": 5e-06,
"input_image": 8e-06,
"output_text": 1e-05,
"output_image": 3e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "transcription",
"id": "openai/whisper-1",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_second": 0.0001
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "transcription",
"id": "openai/gpt-4o-transcribe",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_token": 2.5e-06,
"output_token": 1e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "speech",
"id": "openai/gpt-audio-mini",
"object": "model",
"created": 1776935721,
"updated": 1776935721,
"owned_by": "system",
"pricing": {
"input_token": 6e-07,
"output_token": 2.4e-06
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "speech",
"id": "openai/tts-1",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_character": 1.5e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
}
]
}
List All Models
Get all available models of every modality in a single list. Each entry is the same object the modality specific endpoint returns, identified by its api field. If authenticated with a Requesty API key, returns only the models approved for your organization. Otherwise, returns all public models.
GET
/
v1
/
models
/
all
curl https://router.requesty.ai/v1/models/all \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY"
import httpx
response = httpx.get(
"https://router.requesty.ai/v1/models/all",
headers={"Authorization": "Bearer YOUR_REQUESTY_API_KEY"},
)
for model in response.json()["data"]:
print(model["id"])
const response = await fetch("https://router.requesty.ai/v1/models/all", {
headers: { Authorization: `Bearer ${process.env.REQUESTY_API_KEY}` },
});
const { data } = await response.json();
for (const model of data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"api": "chat",
"id": "vertex/claude-sonnet-4-5",
"object": "model",
"created": 1747933971,
"updated": 1747933971,
"owned_by": "system",
"input_price": 3e-06,
"caching_price": 3.75e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05,
"pricing": [
{
"prompt_tokens_threshold": 0,
"input_price": 3e-06,
"caching_price": 3.75e-06,
"caching_5m_price": 3.75e-06,
"caching_1h_price": 6e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05
},
{
"prompt_tokens_threshold": 200000,
"input_price": 6e-06,
"caching_price": 7.5e-06,
"caching_5m_price": 7.5e-06,
"caching_1h_price": 1.2e-05,
"cached_price": 6e-07,
"output_price": 2.25e-05
}
],
"max_output_tokens": 64000,
"context_window": 200000,
"supports_caching": true,
"supports_vision": true,
"supports_computer_use": true,
"supports_reasoning": true,
"supports_image_generation": false,
"supports_tool_calling": true,
"supports_role_developer": false,
"supports_web_search": true,
"supports_output_json_object": true,
"supports_output_json_schema": true,
"description": "The first hybrid reasoning model on the market with the highest level of intelligence and capability with toggleable extended thinking. Top-tier results in reasoning, coding, multilingual tasks, long-context handling, honesty, and image processing.",
"data_retention": false,
"data_retention_days": 0,
"data_used_for_training": false,
"privacy_comments": "N/A",
"geolocation": "global",
"open_weights": false,
"model_lab": "vertex",
"model_canonical_name": "tbd"
},
{
"api": "embedding",
"id": "vertex/google/gemini-embedding-2-preview",
"object": "model",
"created": 1774621394,
"updated": 1774621394,
"owned_by": "system",
"pricing": {
"input_text": 2e-07,
"input_audio": 6.4e-06,
"input_image": 4.651162791e-07,
"input_video": 1.19696969697e-05,
"input_document": 4.651162791e-07
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "image",
"id": "openai/gpt-image-2",
"object": "model",
"created": 1776868154,
"updated": 1776868154,
"owned_by": "system",
"pricing": {
"input_text": 5e-06,
"input_image": 8e-06,
"output_text": 1e-05,
"output_image": 3e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "transcription",
"id": "openai/whisper-1",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_second": 0.0001
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "transcription",
"id": "openai/gpt-4o-transcribe",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_token": 2.5e-06,
"output_token": 1e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "speech",
"id": "openai/gpt-audio-mini",
"object": "model",
"created": 1776935721,
"updated": 1776935721,
"owned_by": "system",
"pricing": {
"input_token": 6e-07,
"output_token": 2.4e-06
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "speech",
"id": "openai/tts-1",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_character": 1.5e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
}
]
}
curl https://router.requesty.ai/v1/models/all \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY"
import httpx
response = httpx.get(
"https://router.requesty.ai/v1/models/all",
headers={"Authorization": "Bearer YOUR_REQUESTY_API_KEY"},
)
for model in response.json()["data"]:
print(model["id"])
const response = await fetch("https://router.requesty.ai/v1/models/all", {
headers: { Authorization: `Bearer ${process.env.REQUESTY_API_KEY}` },
});
const { data } = await response.json();
for (const model of data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"api": "chat",
"id": "vertex/claude-sonnet-4-5",
"object": "model",
"created": 1747933971,
"updated": 1747933971,
"owned_by": "system",
"input_price": 3e-06,
"caching_price": 3.75e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05,
"pricing": [
{
"prompt_tokens_threshold": 0,
"input_price": 3e-06,
"caching_price": 3.75e-06,
"caching_5m_price": 3.75e-06,
"caching_1h_price": 6e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05
},
{
"prompt_tokens_threshold": 200000,
"input_price": 6e-06,
"caching_price": 7.5e-06,
"caching_5m_price": 7.5e-06,
"caching_1h_price": 1.2e-05,
"cached_price": 6e-07,
"output_price": 2.25e-05
}
],
"max_output_tokens": 64000,
"context_window": 200000,
"supports_caching": true,
"supports_vision": true,
"supports_computer_use": true,
"supports_reasoning": true,
"supports_image_generation": false,
"supports_tool_calling": true,
"supports_role_developer": false,
"supports_web_search": true,
"supports_output_json_object": true,
"supports_output_json_schema": true,
"description": "The first hybrid reasoning model on the market with the highest level of intelligence and capability with toggleable extended thinking. Top-tier results in reasoning, coding, multilingual tasks, long-context handling, honesty, and image processing.",
"data_retention": false,
"data_retention_days": 0,
"data_used_for_training": false,
"privacy_comments": "N/A",
"geolocation": "global",
"open_weights": false,
"model_lab": "vertex",
"model_canonical_name": "tbd"
},
{
"api": "embedding",
"id": "vertex/google/gemini-embedding-2-preview",
"object": "model",
"created": 1774621394,
"updated": 1774621394,
"owned_by": "system",
"pricing": {
"input_text": 2e-07,
"input_audio": 6.4e-06,
"input_image": 4.651162791e-07,
"input_video": 1.19696969697e-05,
"input_document": 4.651162791e-07
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "image",
"id": "openai/gpt-image-2",
"object": "model",
"created": 1776868154,
"updated": 1776868154,
"owned_by": "system",
"pricing": {
"input_text": 5e-06,
"input_image": 8e-06,
"output_text": 1e-05,
"output_image": 3e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "transcription",
"id": "openai/whisper-1",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_second": 0.0001
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "transcription",
"id": "openai/gpt-4o-transcribe",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_token": 2.5e-06,
"output_token": 1e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "speech",
"id": "openai/gpt-audio-mini",
"object": "model",
"created": 1776935721,
"updated": 1776935721,
"owned_by": "system",
"pricing": {
"input_token": 6e-07,
"output_token": 2.4e-06
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
},
{
"api": "speech",
"id": "openai/tts-1",
"object": "model",
"created": 1767023142,
"updated": 1767023142,
"owned_by": "system",
"pricing": {
"input_character": 1.5e-05
},
"data_retention": true,
"data_retention_days": 0,
"data_used_for_training": true,
"privacy_comments": "",
"geolocation": "global"
}
]
}
api field (chat, embedding, image, transcription or speech) tells them apart.
Authentication
Authentication is optional. The API key can be sent as eitherAuthorization: Bearer YOUR_REQUESTY_API_KEY or X-Api-Key: YOUR_REQUESTY_API_KEY; both headers behave identically.
| Request | Status | Result |
|---|---|---|
No Authorization or X-Api-Key header | 200 | All publicly available models |
| Valid API key | 200 | Only the models approved for your organization and allowed by the key’s access list |
| Invalid, expired or revoked API key | 403 | Invalid authorization token — the request is rejected, not treated as anonymous |
Authorizations
BearerAuthApiKeyAuth
API key for authentication
Last modified on September 10, 2026
Was this page helpful?